=== debian/changelog ===
initramfs-tools (0.150) unstable; urgency=medium

  [ Benjamin Drung ]
  * [a6efee9] autopkgtest: replace qemu-kvm by qemu-system-native
  * [e1d0775] Revert "Avoid updating the initramfs twice for some cases"
    (Closes: #1108204)
  * [27544d4] update-initramfs: move "set -e" to the beginning
  * [afb3ba3] update-initramfs: use "set -u"
  * [f0c9c42] update-initramfs: add copyright information

  [ E Shattow ]
  * [d656783] hook-functions: Add Cadence USB driver to base (Closes:
    #1108924)

  [ Askar Safin ]
  * [7a9c2a0] hook-functions: add modules for non-default checksums on
    btrfs

  [ Ben Hutchings ]
  * [9fa9ae0] unmkinitramfs: Accept lower-case hex digits in cpio headers

 -- Ben Hutchings <benh@debian.org>  Tue, 12 Aug 2025 22:54:00 +0200
