=== debian/control ===
--- 
+++ 
@@ -2,16 +2,8 @@
 Section: utils
 Priority: optional
 Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
-               libudev-dev,
-               netplan.io [!i386] <!nocheck>,
-               pkgconf,
-               shellcheck [!i386] <!nocheck>,
-               shunit2 <!nocheck>,
-               udev [!i386] <!nocheck>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Build-Depends: bash-completion, debhelper-compat (= 13), shunit2 <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
@@ -34,20 +26,17 @@
 Package: initramfs-tools-core
 Architecture: all
 Multi-Arch: foreign
-Recommends: zstd
+Recommends: zstd, ${busybox:Recommends}
 Depends: coreutils (>= 8.24),
          cpio (>= 2.12),
-         dhcpcd-base,
          dracut-install,
-         e2fsprogs,
          initramfs-tools-bin (>= ${source:Version}),
          klibc-utils (>= 2.0.4-8~),
          kmod,
          logsave | e2fsprogs (<< 1.45.3-1~),
          udev,
-         ${busybox:Depends},
          ${misc:Depends}
-Suggests: 3cpio, bash-completion
+Suggests: bash-completion
 Breaks: miniramfs (<< 1.0.3~)
 Description: generic modular initramfs generator (core tools)
  This package contains the mkinitramfs program that can be used to
@@ -62,6 +51,5 @@
 Breaks: initramfs-tools-core (<< 0.148~)
 Replaces: initramfs-tools-core (<< 0.148~)
 Description: generic modular initramfs generator (binary tools)
- This package contains binaries used inside the initramfs images generated
- by initramfs-tools. It also contains the unmkinitramfs program that can be
- used to unpack an initramfs image.
+ This package contains the unmkinitramfs program that can be used to
+ unpack an initramfs image.
