## initramfs-tools 0.150ubuntu1

=== debian/changelog ===
initramfs-tools (0.150ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Use 3cpio for unmkinitramfs/lsinitramfs if available (for massive speedup)
      and let initramfs-tools-core suggest 3cpio
    - Harmonize kernel module installation with dracut's behavior:
      - Do not install ARM/RISCV specific modules on other architectures.
    - Revert "autopkgtest: Fix test failure when built-in drivers request
      firmware". This workaround is not needed on Ubuntu.
    - support mounting of loopback devices via loop*= parameters
    - Add vfat and nls modules to the initramfs.
    - Drop hooks/keymap, scripts/init-top/keymap, and associated code;
      console-setup takes care of this in Ubuntu.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set to
      something other than "n", the script will not be included.
    - Add a new wait-for-root binary to the initramfs-tools-bin package that
      uses libudev to wait for udev to create the udev device, or wait for
      udev to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Automatically blacklist vga16fb when vga= or video= specified on kernel
      command-line.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest.
    - ppc64el: enable PowerPC NX Crypto Coprocessor
    - Add support for uppercase and lowercase uuids.
    - Make busybox-initramfs a real runtime dependency, fixing kernel install
      failures with cryptsetup
    - init: Don't interpret "rootdelay" as a static sleep.
    - scripts/local: Let rootdelay determine the wait-for-root timeout.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el
    - Support roottimeout= as the authoritative name for rootdelay= since the
      Ubuntu interpretation of rootdelay is *not* a delay and this causes
      inconsistent behavior depending on whether the kernel or an initramfs is
      interpreting it.
    - Revised mountroot failure support.  This is now deprecated and
      effectively removed.  However, to prevent breakage in other packages the
      add_mountroot_fail_hook function is still present as an empty stub.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you need
      to set FRAMEBUFFER=y for these to be included.
    - netinfo_to_resolv_conf: Add support for IPv6
    - resume: only resume when the partition contains a resume image
    - Fix resuming a hibernate session from a swapfile
    - scripts/functions: by default, when setting up networking, use dhclient
      if we're asked to do DHCP explicitly, or if we otherwise are expected to
      do things automatically.
    - split out IPv6 options in its own cmdline parameter: ip6= ; always use
      dhclient in this case if the value set is anything other than 'off' or
      'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
      the name of an interface.
    - rework the stop conditions so that we properly handle the ROUNDTTT loop,
      timing out after a short period of time and trying again after a short
      sleep.
    - add a 'done' parameter for both ip= and ip6= so that we can properly
      exit the ROUNDTTT loop once we know that either there is no work to do,
      or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
      or possibly both).
    - Just let dhclient scan the interfaces if none is specified for IPv6.
      (previously unnoted)
    - Do not handle ip=rarp specially (ipconfig hasn't supported it for some
      time)
    - Call dhclient in simple cases for IPv4 (this makes some small observable
      changes -- for example ip=bootp will now make a DHCP request too -- but
      nothing that seems important).
    - Do not let dhclient processes hang around past the pivot and have them
      respect the shorter timeouts ipconfig was given.
    - hook-functions, mkinitramfs, scripts/functions: support usage of dns
      after configure_networking.
    - Add unit tests for DNS support
    - scripts/functions: write netplan config files to /run/netplan for
      network devices configured with configure_networking.
    - Adjust testsuite for correct expected netplan output.
    - Add tests to parse netplan.yaml with netplan generate.
    - scripts/functions: include a new option to skip enslaved network
      devices.
    - Auto activate qeth devices on s390x hosts, when using ip= ip6= command
      lines.
    - Add support for creating VLANs via vlan=eth0.1:eth0 on kernel
      commandline, and as VLAN= conf.d snippet.
    - Emit empty dictionary in the ethernets section, for static vlan configs
      without any matches, as otherwise it is invalid config.
    - Skip attempting to chzdev enable VLAN device
    - Work out the kernel modules required to support ZFS filesystems and add
      them as necessary.
    - Add modules for nvme path components on multipath nvme.
    - Drop usage of klibc-utils' fstype in favor of always using udev blkid.
    - Use set -a/+a around loading conf snippets, to autoexport hook
      configuration variables. This thus allows packaged hooks to configure
      each other.
    - Fix PATH to include /usr/local.
    - Fix resume failure due to resume=UUID=... in certain cases
    - Always mount loop-mount filesystems read-write; ntfs-3g and vfat can't
      remount yet.
    - Provide a clearer error on mount failure of the Windows host filesystem

