## initramfs-tools 0.150ubuntu2

=== debian/changelog ===
initramfs-tools (0.150ubuntu2) questing; urgency=medium

  * Revert making 3cpio the default cpio tool since it is too late for the
    questing release cycle.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 16 Sep 2025 11:27:35 +0200
