## initramfs-tools 0.150ubuntu3

=== Makefile ===
CFLAGS += -Wall -Wextra -O2
PKG_CONFIG ?= pkg-config
UDEV_CFLAGS = $(shell $(PKG_CONFIG) --cflags libudev)
UDEV_LIBS = $(shell $(PKG_CONFIG) --libs libudev)

all: gcc_s1-stub unmkinitramfs wait-for-root
clean:
	rm -f gcc_s1-stub unmkinitramfs wait-for-root

gcc_s1-stub:
	$(CC) -Wl,--no-as-needed -shared -l:libpthread.so.0 -l:libgcc_s.so.1 -o $@

wait-for-root: wait-for-root.c
	$(CC) $(CFLAGS) $(UDEV_CFLAGS) $(LDFLAGS) -o $@ $< $(UDEV_LIBS)

.PHONY: all clean
