=== debian/changelog ===
initramfs-tools (0.150ubuntu3) questing; urgency=medium

  * Explicitly include xhci-pci-renesas (LP: #2126559)

 -- Thibault Ferrante <thibault.ferrante@canonical.com>  Wed, 01 Oct 2025 15:00:05 +0200
