=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
+
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+export CC=$(DEB_HOST_GNU_TYPE)-gcc
+export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+endif
 
 %:
 	dh $@ --with bash-completion
@@ -10,7 +16,7 @@
 BUSYBOX_PACKAGES := $(shell if dpkg-vendor --derives-from ubuntu; then echo busybox-initramfs; else echo busybox busybox-static; fi)
 
 override_dh_gencontrol:
-	echo >> debian/initramfs-tools-core.substvars "busybox:Recommends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
+	echo >> debian/initramfs-tools-core.substvars "busybox:Depends=$(wordlist 2,100,$(BUSYBOX_PACKAGES:%=| %))"
 	dh_gencontrol
 
 override_dh_install:
@@ -25,5 +31,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+    ifeq (,$(filter i386,$(DEB_HOST_ARCH)))
+	shellcheck hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find debian/tests docs kernel tests -type f; } | xargs grep -l '^#!/bin/sh')
+    endif
 	tests/functions_test
+	./tests/run-tests
 endif
