## initramfs-tools 0.150ubuntu3.1

=== debian/changelog ===
initramfs-tools (0.150ubuntu3.1) questing; urgency=medium

  * mkinitramfs: do not set pigz as compression for 3cpio (LP: #2130550)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Nov 2025 13:58:16 +0100
