=== debian/control ===
--- 
+++ 
@@ -2,8 +2,16 @@
 Section: utils
 Priority: optional
 Uploaders: Michael Prokop <mika@debian.org>, Ben Hutchings <benh@debian.org>
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends: bash-completion, debhelper-compat (= 13), shunit2 <!nocheck>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
+               libudev-dev,
+               netplan.io [!i386] <!nocheck>,
+               pkgconf,
+               shellcheck [!i386] <!nocheck>,
+               shunit2 <!nocheck>,
+               udev [!i386] <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kernel-team/initramfs-tools
@@ -26,15 +34,18 @@
 Package: initramfs-tools-core
 Architecture: all
 Multi-Arch: foreign
-Recommends: zstd, ${busybox:Recommends}
+Recommends: zstd
 Depends: coreutils (>= 8.24),
-         cpio (>= 2.12),
+         cpio (>= 2.12) | 3cpio (>= 0.7),
+         dhcpcd-base,
          dracut-install,
+         e2fsprogs,
          initramfs-tools-bin (>= ${source:Version}),
          klibc-utils (>= 2.0.4-8~),
          kmod,
          logsave | e2fsprogs (<< 1.45.3-1~),
          udev,
+         ${busybox:Depends},
          ${misc:Depends}
 Suggests: bash-completion
 Breaks: miniramfs (<< 1.0.3~)
@@ -51,5 +62,6 @@
 Breaks: initramfs-tools-core (<< 0.148~)
 Replaces: initramfs-tools-core (<< 0.148~)
 Description: generic modular initramfs generator (binary tools)
- This package contains the unmkinitramfs program that can be used to
- unpack an initramfs image.
+ This package contains binaries used inside the initramfs images generated
+ by initramfs-tools. It also contains the unmkinitramfs program that can be
+ used to unpack an initramfs image.
