## initramfs-tools 0.150ubuntu4

=== debian/changelog ===
initramfs-tools (0.150ubuntu4) resolute; urgency=medium

  * Drop supporting cpio and rely on 3cpio

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 21 Oct 2025 10:57:06 +0200
