=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
 Architecture: all
 Multi-Arch: foreign
 Recommends: zstd
-Depends: coreutils (>= 8.24),
-         cpio (>= 2.12) | 3cpio (>= 0.7),
+Depends: 3cpio (>= 0.7),
+         coreutils (>= 8.24),
          dhcpcd-base,
          dracut-install,
          e2fsprogs,
@@ -48,7 +48,7 @@
          ${busybox:Depends},
          ${misc:Depends}
 Suggests: bash-completion
-Breaks: miniramfs (<< 1.0.3~)
+Breaks: amd64-microcode (<< 3.20250311.1ubuntu2~), miniramfs (<< 1.0.3~)
 Description: generic modular initramfs generator (core tools)
  This package contains the mkinitramfs program that can be used to
  create a bootable initramfs for a Linux kernel.  The initramfs should
