## initramfs-tools 0.150ubuntu5

=== debian/changelog ===
initramfs-tools (0.150ubuntu5) resolute; urgency=medium

  * Fix shellcheck 0.11.0 complaints
  * mkinitramfs: do not set pigz as compression for 3cpio (LP: #2130550)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Nov 2025 13:06:35 +0100
