## initramfs-tools 0.150ubuntu6

=== debian/changelog ===
initramfs-tools (0.150ubuntu6) resolute; urgency=medium

  * autopkgtest: increase timeout to 240s on s390x

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 09 Dec 2025 17:30:31 +0100
