## initramfs-tools 0.150ubuntu7

=== debian/changelog ===
initramfs-tools (0.150ubuntu7) resolute; urgency=medium

  [ Benjamin Drung ]
  * hooks/dhcpcd: support /usr/libexec as hooks path (LP: #2137657)
  * Do not run netplan integration tests during build (rely on autopkgtest)

  [ John Chittum ]
  * autopkgtest: make root more explicit. full paths including /dev or
    LABEL= for multi-drive boot in qemu-net-iscsi (LP: #2134531)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 12 Jan 2026 13:55:50 +0100
