=== debian/rules ===
--- 
+++ 
@@ -35,5 +35,4 @@
 	shellcheck hook-functions $$(find hooks scripts -type f) $$({ find . -maxdepth 1 -type f -executable; find debian -maxdepth 1 -type f; find debian/tests docs kernel tests -type f; } | xargs grep -l '^#!/bin/sh')
     endif
 	tests/functions_test
-	./tests/run-tests
 endif
