## initramfs-tools 0.150ubuntu8

=== debian/changelog ===
initramfs-tools (0.150ubuntu8) resolute; urgency=medium

  * d/t/run-qemu: fix arm64 tests failure because of cpu=max
    (LP: #2142121)

 -- Hector Cao <hector.cao@canonical.com>  Fri, 27 Feb 2026 11:57:35 +0100
